﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using SimpleBlog.Models;

namespace SimpleBlog.Code
{
    public class SqlPostRepository : IPostRepository
    {
        #region IPostRepository Members

        public SimpleBlog.Models.Post Get(int year, int month, int day, string friendlyTitle)
        {
            BlogDataContext db = new BlogDataContext();

            var post = db.Posts.Single(p => p.EncodedTitle == friendlyTitle
                && p.DatePosted.Year == year
                && p.DatePosted.Month == month
                && p.DatePosted.Day == day);
            return post;
        }

        #endregion
    }
}
