﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using SimpleBlog.Models;

namespace SimpleBlog.Controllers
{
    
    [HandleError]
    public class HomeController : Controller
    {
        BlogDataContext db = new BlogDataContext();

        public ActionResult Index()
        {
            List<Post> posts = db.Posts.OrderByDescending(o => o.DatePosted).Take(20).ToList();

            return View(posts);
        }

        public ActionResult About()
        {
            ViewData["Title"] = "About Page";

            return View();
        }
    }
}
